Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JCEStreamCipher

    java.lang.Object
      javax.crypto.CipherSpi
          org.bouncycastle.jce.provider.WrapCipherSpi
              org.bouncycastle.jce.provider.JCEStreamCipher

All Implemented Interfaces:
  PBE

Direct Known Subclasses:
  Grain128.Base, Grainv1.Base, JCEStreamCipher.Blowfish_CFB8, JCEStreamCipher.Blowfish_OFB8, JCEStreamCipher.DES_CFB8, JCEStreamCipher.DES_OFB8, JCEStreamCipher.DESede_CFB8, JCEStreamCipher.DESede_OFB8, JCEStreamCipher.HC128, JCEStreamCipher.HC256, JCEStreamCipher.PBEWithSHAAnd128BitRC4, JCEStreamCipher.PBEWithSHAAnd40BitRC4, JCEStreamCipher.RC4, JCEStreamCipher.Salsa20, JCEStreamCipher.Skipjack_CFB8, JCEStreamCipher.Skipjack_OFB8, JCEStreamCipher.Twofish_CFB8, JCEStreamCipher.Twofish_OFB8, JCEStreamCipher.VMPC, JCEStreamCipher.VMPCKSA3

    public class JCEStreamCipher

extends WrapCipherSpi
implements PBE

Nested Class Summary
`static class` `JCEStreamCipher.Blowfish_CFB8` Blowfish
`static class` `JCEStreamCipher.Blowfish_OFB8` Blowfish
`static class` `JCEStreamCipher.DES_CFB8` DES
`static class` `JCEStreamCipher.DES_OFB8` DES
`static class` `JCEStreamCipher.DESede_CFB8` DESede
`static class` `JCEStreamCipher.DESede_OFB8` DESede
`static class` `JCEStreamCipher.HC128` HC-128
`static class` `JCEStreamCipher.HC256` HC-256
`static class` `JCEStreamCipher.PBEWithSHAAnd128BitRC4` PBEWithSHAAnd128BitRC4
`static class` `JCEStreamCipher.PBEWithSHAAnd40BitRC4` PBEWithSHAAnd40BitRC4
`static class` `JCEStreamCipher.RC4` RC4
`static class` `JCEStreamCipher.Salsa20` Salsa20
`static class` `JCEStreamCipher.Skipjack_CFB8` SKIPJACK
`static class` `JCEStreamCipher.Skipjack_OFB8` SKIPJACK
`static class` `JCEStreamCipher.Twofish_CFB8` Twofish
`static class` `JCEStreamCipher.Twofish_OFB8` Twofish
`static class` `JCEStreamCipher.VMPC` VMPC
`static class` `JCEStreamCipher.VMPCKSA3` VMPC-KSA3

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`WrapCipherSpi.DESEDEWrap, WrapCipherSpi.RC2Wrap, WrapCipherSpi.RFC3211DESedeWrap`

Nested classes/interfaces inherited from interface org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineParams, pbeHash, pbeIvSize, pbeKeySize, pbeType, wrapEngine`

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD2, MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

Constructor Summary
`protected` `JCEStreamCipher(BlockCipher engine, int ivLength)`
`protected` `JCEStreamCipher(StreamCipher engine, int ivLength)`

Method Summary
`protected byte[]` `engineDoFinal(byte[] input, int inputOffset, int inputLen)`
`protected int` `engineDoFinal(byte[] input, int inputOffset, int inputLen, byte[] output, int outputOffset)`
`protected int` `engineGetBlockSize()`
`protected byte[]` `engineGetIV()`
`protected int` `engineGetKeySize(java.security.Key key)`
`protected int` `engineGetOutputSize(int inputLen)`
`protected java.security.AlgorithmParameters` `engineGetParameters()`
`protected void` `engineInit(int opmode, java.security.Key key, java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`protected void` `engineInit(int opmode, java.security.Key key, java.security.AlgorithmParameters params, java.security.SecureRandom random)`
`protected void` `engineInit(int opmode, java.security.Key key, java.security.SecureRandom random)`
`protected void` `engineSetMode(java.lang.String mode)` should never be called.
`protected void` `engineSetPadding(java.lang.String padding)` should never be called.
`protected byte[]` `engineUpdate(byte[] input, int inputOffset, int inputLen)`
`protected int` `engineUpdate(byte[] input, int inputOffset, int inputLen, byte[] output, int outputOffset)`

Methods inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineUnwrap, engineWrap`

Methods inherited from class javax.crypto.CipherSpi
`engineDoFinal, engineUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEStreamCipher

    protected JCEStreamCipher(StreamCipher engine,
                              int ivLength)

### JCEStreamCipher

    protected JCEStreamCipher(BlockCipher engine,
                              int ivLength)

Method Detail

### engineGetBlockSize

    protected int engineGetBlockSize()

  Overrides:
    `engineGetBlockSize` in class `WrapCipherSpi`

### engineGetIV

    protected byte[] engineGetIV()

  Overrides:
    `engineGetIV` in class `WrapCipherSpi`

### engineGetKeySize

    protected int engineGetKeySize(java.security.Key key)

  Overrides:
    `engineGetKeySize` in class `WrapCipherSpi`

### engineGetOutputSize

    protected int engineGetOutputSize(int inputLen)

  Overrides:
    `engineGetOutputSize` in class `WrapCipherSpi`

### engineGetParameters

    protected java.security.AlgorithmParameters engineGetParameters()

  Overrides:
    `engineGetParameters` in class `WrapCipherSpi`

### engineSetMode

    protected void engineSetMode(java.lang.String mode)

  should never be called.

  Overrides:
    `engineSetMode` in class `WrapCipherSpi`

### engineSetPadding

    protected void engineSetPadding(java.lang.String padding)
                             throws javax.crypto.NoSuchPaddingException

  should never be called.

  Overrides:
    `engineSetPadding` in class `WrapCipherSpi`
  Throws:
    `javax.crypto.NoSuchPaddingException`

### engineInit

    protected void engineInit(int opmode,
                              java.security.Key key,
                              java.security.spec.AlgorithmParameterSpec params,
                              java.security.SecureRandom random)
                       throws java.security.InvalidKeyException,
                              java.security.InvalidAlgorithmParameterException

  Overrides:
    `engineInit` in class `WrapCipherSpi`
  Throws:
    `java.security.InvalidKeyException`
    `java.security.InvalidAlgorithmParameterException`

### engineInit

    protected void engineInit(int opmode,
                              java.security.Key key,
                              java.security.AlgorithmParameters params,
                              java.security.SecureRandom random)
                       throws java.security.InvalidKeyException,
                              java.security.InvalidAlgorithmParameterException

  Overrides:
    `engineInit` in class `WrapCipherSpi`
  Throws:
    `java.security.InvalidKeyException`
    `java.security.InvalidAlgorithmParameterException`

### engineInit

    protected void engineInit(int opmode,
                              java.security.Key key,
                              java.security.SecureRandom random)
                       throws java.security.InvalidKeyException

  Overrides:
    `engineInit` in class `WrapCipherSpi`
  Throws:
    `java.security.InvalidKeyException`

### engineUpdate

    protected byte[] engineUpdate(byte[] input,
                                  int inputOffset,
                                  int inputLen)

  Overrides:
    `engineUpdate` in class `WrapCipherSpi`

### engineUpdate

    protected int engineUpdate(byte[] input,
                               int inputOffset,
                               int inputLen,
                               byte[] output,
                               int outputOffset)
                        throws javax.crypto.ShortBufferException

  Overrides:
    `engineUpdate` in class `WrapCipherSpi`
  Throws:
    `javax.crypto.ShortBufferException`

### engineDoFinal

    protected byte[] engineDoFinal(byte[] input,
                                   int inputOffset,
                                   int inputLen)

  Overrides:
    `engineDoFinal` in class `WrapCipherSpi`

### engineDoFinal

    protected int engineDoFinal(byte[] input,
                                int inputOffset,
                                int inputLen,
                                byte[] output,
                                int outputOffset)

  Overrides:
    `engineDoFinal` in class `WrapCipherSpi`

Bouncy Castle Cryptography Library 1.45